FormSubmitEvent (Java Platform SE 8 )
Keywords: javax.swing.text.html.FormSubmitEvent class
Date: 2026-04-24

javax.swing.text.html

## Class FormSubmitEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.HyperlinkEvent
    - - javax.swing.text.html.HTMLFrameHyperlinkEvent
      - - javax.swing.text.html.FormSubmitEvent

- All Implemented Interfaces:
    Serializable

      public class FormSubmitEvent
      extends HTMLFrameHyperlinkEvent

  FormSubmitEvent is used to notify interested parties that a form was submitted.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FormSubmitEvent.MethodType` Represents an HTML form method type.

    - ### Nested classes/interfaces inherited from class javax.swing.event.HyperlinkEvent

      `HyperlinkEvent.EventType`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getData()` Gets the form submission data.
    `FormSubmitEvent.MethodType` | `getMethod()` Gets the form method type.

    - ### Methods inherited from class javax.swing.text.html.HTMLFrameHyperlinkEvent

      `getTarget`

    - ### Methods inherited from class javax.swing.event.HyperlinkEvent

      `getDescription, getEventType, getInputEvent, getSourceElement, getURL`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getMethod

          public FormSubmitEvent.MethodType getMethod()

      Gets the form method type.
      Returns:
        the form method type, either `Method.GET` or `Method.POST`.

    - #### getData

          public String getData()

      Gets the form submission data.
      Returns:
        the string representing the form submission data.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.